# $Id$

use strict;
use warnings;

use Test::More tests => 6;

use_ok('ObsData');

can_ok('ObsData', qw(list_obs list_obsdatadir list_typedatadir get_datadir getvalue is_obs));

ok(!ObsData->new('testdata/wrongfile'), "Return an error on bad file");
ok(!ObsData->new(undef), "Return an error w/o a config file");

ok(my $o = ObsData->new('testdata/obsdata-conf-wrongplugin'), "Can get an Obsdata object");
ok(!$o->load(), "load() return an error if an invalid plugiin is found");
